"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const base = require("./base.cjs");
const baseCompile = require("./base-compile.cjs");
const blocks = require("./blocks.cjs");
const expression = require("./expression.cjs");
const literal = require("./literal.cjs");
const references = require("./references.cjs");
const set = require("./set.cjs");
const utils = require("../utils.cjs");
utils.applyMixins(base.Velocity, [baseCompile.Compile, blocks.BlockCommand, expression.Expression, literal.LiteralCompiler, references.References, set.SetValue]);
exports.Velocity = base.Velocity;
exports.Compile = baseCompile.Compile;
exports.BlockCommand = blocks.BlockCommand;
exports.Expression = expression.Expression;
exports.LiteralCompiler = literal.LiteralCompiler;
exports.References = references.References;
exports.SetValue = set.SetValue;
