"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("./compile/index.cjs");
const parse = require("./parse.cjs");
const index = require("./helper/index.cjs");
const baseCompile = require("./compile/base-compile.cjs");
const render = (template, context, macros, config) => {
  const asts = parse.parse(template);
  const compile = new baseCompile.Compile(asts, config);
  return compile.render(context, macros);
};
const Helper = {
  getRefText: index.getRefText
};
const velocity = {
  render,
  parse: parse.parse,
  Compile: baseCompile.Compile,
  Helper
};
exports.parse = parse.parse;
exports.Compile = baseCompile.Compile;
exports.Helper = Helper;
exports.default = velocity;
exports.render = render;
