import "./compile/index.mjs";
import { parse } from "./parse.mjs";
import { getRefText } from "./helper/index.mjs";
import { Compile } from "./compile/base-compile.mjs";
const render = (template, context, macros, config) => {
  const asts = parse(template);
  const compile = new Compile(asts, config);
  return compile.render(context, macros);
};
const Helper = {
  getRefText
};
const velocity = {
  render,
  parse,
  Compile,
  Helper
};
export {
  Compile,
  Helper,
  velocity as default,
  parse,
  render
};
